<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ramon Abramo</title>
	<script type="text/javascript">
	var a=1,b=2;
	
	function sumar(){
		return arguments[0]+arguments[1];
	}

	function restar(){
		return arguments[0]-arguments[1];
	}

	function paraTodas(funcion,a,b){
		var v="constructor";
		var salida= (v[v][v]( "return " + funcion + "(" + a + "," + b +")")());
		return salida;
	}

	window.addEventListener("load",()=>{
		var operacion="sumar";

		console.log(paraTodas(operacion,a,b));
		operacion="restar";
		console.log(paraTodas(operacion,a,b));

	});
	</script>
</head>
<body>
	
</body>
</html>